Subject: bug#70889: 29.3; GCC14.1 MinGW compilation error

From: Cyril Arnould <[email-masked]>
Date: Sun, 12 May 2024 17:04:30 +0200

> So I'd like first to understand why a warning causes a compilation
 > error.

This is a new feature of GCC 14, unless I'm misunderstanding
something:

https://gcc.gnu.org/gcc-14/porting_to.html#warnings-as-errors

 > If we need to add to our w32 headers every single function that can
 > fail the compilation of some test program, we will never recover
 > from this slippery slope.

Would using the gnulib work instead of using emacs-proprietary w32
headers? Mostly asking out of curiosity.